Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # HomogeneousColorBaseConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename ColorBase> struct boost::gil::HomogeneousColorBaseConcept< ColorBase > Color base whose elements all have the same type.
    concept HomogeneousColorBaseConcept<ColorBaseConcept CB> {
        // For all K in [0 ... size<C1>::value-1):
        //     where SameType<kth_element_type<CB,K>::type, kth_element_type<CB,K+1>::type>;
        kth_element_const_reference_type<CB,0>::type dynamic_at_c(const CB&, std::size_t n) const;
    };
## Public Member Functions
void | constraints ()
## Public Attributes
ColorBase | cb
The documentation for this struct was generated from the following file: gil_concept.hpp